This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 879611 - FTBFS queuegraph
FTBFS queuegraph
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 07:40 EST by Marcela Mašláňová
Modified: 2013-04-19 01:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 01:52:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2012-11-23 07:40:49 EST
After I removed wrong requirement on vixie-cron, which is long time dead and added new one, I couldn't build this package anymore. The build complained about missing m4, but it was always built fine without BR on m4 in the specfile.

So, m4 is needed for work by selinux-policy-devel and this package requires m4, but it's not installed into buildroot. I suspect the new rpm. Investigating.
Comment 1 Marcela Mašláňová 2012-11-23 08:46:17 EST
Ok, it's a bug in rpm.

The selinux-policy has in BR m4 and also in Requires. See requires from koji builds:
rpm -qp --requires selinux-policy-3.11.1-55.fc18.noarch.rpm 
/bin/awk
/bin/sh
/bin/sh
/usr/bin/sha512sum
config(selinux-policy) = 3.11.1-55.fc18
policycoreutils >= 2.1.13-34
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

rpm -qp --requires selinux-policy-3.10.0-161.fc17.noarch.rpm 
/bin/awk
/bin/sh
/bin/sh
/usr/bin/sha512sum
checkpolicy >= 2.1.9-4
config(selinux-policy) = 3.10.0-161.fc17
libsemanage >= 2.0.46-6
m4
policycoreutils >= 2.1.9-4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

See? m4 is not in f18 build.

I agree that specfile is meesy there are macros and missing commas, but it should work. If there is really a bug in rpm, then it could break many rebuilds and finding the root problem won't be easy.

BuildRequires: python gawk checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils-python >= %{POLICYCOREUTILSVER} bzip2
Requires(pre): policycoreutils >= %{POLICYCOREUTILSVER} libsemanage >= 2.1.8-3
Requires(post): /bin/awk /usr/bin/sha512sum
Requires: checkpolicy >= %{CHECKPOLICYVER} m4
Comment 2 Panu Matilainen 2012-11-26 03:44:30 EST
Err... how does comparing two entirely different versions of a package make it rpm bug? m4 is listed as a build-require of selinux-policy, and build-requires do not (and must not) automatically become runtime dependencies.

[pmatilai@localhost selinux-policy]$ fedpkg switch-branch f18
Switched to branch 'f18'
[pmatilai@localhost selinux-policy]$ grep m4 selinux-policy.spec 
BuildRequires: python gawk checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils-devel >= %{POLICYCOREUTILSVER} bzip2 
[pmatilai@localhost selinux-policy]$ fedpkg switch-branch f17
Switched to branch 'f17'
[pmatilai@localhost selinux-policy]$ grep m4 selinux-policy.spec 
BuildRequires: python gawk checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils-python >= %{POLICYCOREUTILSVER} bzip2 
Requires: checkpolicy >= %{CHECKPOLICYVER} m4 
[pmatilai@localhost selinux-policy]$

There's the difference... whether intentional or not I've no idea.
Comment 3 Marcela Mašláňová 2012-11-26 04:23:51 EST
I'm sorry, I look into master and f17 branch, which both contain m4 in BR and Requires. It looked like rpm is incorrectly parsing the specfile.

So, m4 is missing in Requires only in f18 branch. Could someone fix it?
Comment 4 Daniel Walsh 2012-11-27 07:14:16 EST
Fixed in elinux-policy-3.11.1-57.fc18.noarch
Comment 5 Fedora End Of Life 2013-04-03 16:32:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora Update System 2013-04-08 07:41:05 EDT
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
Comment 7 Fedora Update System 2013-04-08 11:49:40 EDT
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-04-19 01:52:24 EDT
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.